#include <bits/stdc++.h>
using namespace std;
int n,m,T,niz[1000007];
int a,b,x;
string bin(int x){
	string s;
	while(x){
		if(x%2==0)s.push_back('0');
		else s.push_back('1');
		x/=2;
	}
	reverse(s.begin(),s.end());
	return s;
}
int bit[50];
int main(){
		cout<<0<<endl;
		return 0;
		cin>>n>>m;
		for(int i=1;i<=n;i++){
				cin>>niz[i];
				string s=bin(niz[i]);
				int x=1;
				for(int j=s.size()-1;j>=0;j--,x++){
						if(s[j]=='1')bit[x]++;
				}
		}
		for(int )



	return 0;
}